Package org.snpeff.stats.plot

# Class GoogleBarChart

java.lang.Object
org.snpeff.stats.plot.GoogleLineChart
org.snpeff.stats.plot.GoogleBarChart

public class GoogleBarChart extends GoogleLineChart

## Constructor Summary

Constructors
Constructor
Description
`GoogleBarChart(String name)`
`GoogleBarChart(String name, int width, int height)`

## Method Summary

Modifier and Type
Method
Description
`void`
`percentColumns()`
Scale columns to their respective counts
`ArrayList<String>`
`percentColumns(ArrayList<String> col)`
Scale column to total sum
`String`
`toStringHtmlHeader()`

### Methods inherited from class org.snpeff.stats.plot.GoogleLineChart

`addColumn, addColumn, sethAxis, setHeight, setStacked, setTitle, setvAxis, setWidth, setxLables, toStringHtmlBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GoogleBarChart

public GoogleBarChart(String name)

### GoogleBarChart

public GoogleBarChart(String name, int width, int height)

## Method Details

### percentColumns

public void percentColumns()
Scale columns to their respective counts

### percentColumns

public ArrayList<String> percentColumns(ArrayList<String> col)
Scale column to total sum

Parameters:
  `col` -
Returns:

### toStringHtmlHeader

public String toStringHtmlHeader()

Overrides:
  `toStringHtmlHeader` in class `GoogleLineChart`